> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ワークフロー実行詳細を取得

> ワークフロー実行 ID に基づいて、ワークフロータスクの現在の実行結果を取得します。



## OpenAPI

````yaml /ja/api-reference/openapi_chatflow.json get /workflows/run/{workflow_run_id}
openapi: 3.0.1
info:
  title: 高度なチャットアプリAPI (Chatflow API)
  description: >-
    Chatflow アプリケーションはセッションの永続化をサポートし、過去のチャット履歴をレスポンスのコンテキストとして使用できます。Chatflow
    アプリは `advanced-chat`
    モードを使用し、ノードの開始・完了、イテレーション、ワークフローのライフサイクルを含む詳細な実行追跡のためのワークフローレベルのストリーミングイベントを提供します。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Chatflow アプリ API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: チャットフロー
    description: チャットフローアプリケーションの操作です（チャットメッセージ、ワークフロー実行詳細、イベントストリーミングを含む）。
  - name: ファイル操作
    description: ファイルのアップロードとプレビューの操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックの操作です。
  - name: 会話管理
    description: 会話管理に関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識の操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
  - name: アノテーション管理
    description: ダイレクト返信用のアノテーション管理に関連する操作です。
  - name: 人間の入力
    description: 人間の入力を要する一時停止中のワークフローの再開操作です。
paths:
  /workflows/run/{workflow_run_id}:
    get:
      tags:
        - チャットフロー
      summary: ワークフロー実行詳細を取得
      description: ワークフロー実行 ID に基づいて、ワークフロータスクの現在の実行結果を取得します。
      operationId: getChatflowWorkflowRunDetailJa
      parameters:
        - name: workflow_run_id
          in: path
          required: true
          description: ワークフロー実行 ID です。ストリーミングイベントまたはメッセージメタデータから取得できます。
          schema:
            type: string
      responses:
        '200':
          description: ワークフロー実行の詳細の取得に成功しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowRunDetailResponse'
              examples:
                workflowRunDetail:
                  summary: レスポンス例
                  value:
                    id: fb47b2e6-5e43-4f90-be01-d5c5a088d156
                    workflow_id: 7c3e33d4-2a8b-4e5f-9b1a-d3c6e8f12345
                    status: succeeded
                    inputs:
                      query: Translate this to French
                    outputs:
                      result: Traduisez ceci en francais
                    error: null
                    total_steps: 3
                    total_tokens: 150
                    created_at: 1705407629
                    finished_at: 1705407630
                    elapsed_time: 1.23
        '400':
          description: '`not_workflow_app` : アプリモードが API ルートと一致しません。'
          content:
            application/json:
              examples:
                not_workflow_app:
                  summary: not_workflow_app
                  value:
                    status: 400
                    code: not_workflow_app
                    message: Please check if your app mode matches the right API route.
        '404':
          description: '`not_found` : ワークフロー実行記録が見つかりません。'
          content:
            application/json:
              examples:
                workflow_run_not_found:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Workflow run not found.
components:
  schemas:
    WorkflowRunDetailResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ワークフロー実行 ID です。
        workflow_id:
          type: string
          format: uuid
          description: Workflow ID.
        status:
          type: string
          description: >-
            ワークフローの実行ステータスです。`running` は実行中、`succeeded` は正常完了、`failed`
            は実行エラー、`stopped` は手動停止、`partial-succeeded` は一部のノードが成功し他が失敗、`paused`
            は人間の入力待ちを示します。
        inputs:
          type: object
          additionalProperties: true
          description: ワークフロー実行の入力変数です。
        outputs:
          type: object
          additionalProperties: true
          nullable: true
          description: ワークフローからの出力データです。
        error:
          type: string
          nullable: true
          description: ワークフローが失敗した場合のエラーメッセージです。
        total_steps:
          type: integer
          description: 実行されたワークフローの合計ステップ数です。
        total_tokens:
          type: integer
          description: 消費された合計トークン数です。
        created_at:
          type: integer
          format: int64
          description: ワークフロー実行が作成された Unix タイムスタンプです。
        finished_at:
          type: integer
          format: int64
          nullable: true
          description: ワークフロー実行が完了した Unix タイムスタンプです。
        elapsed_time:
          type: number
          format: float
          nullable: true
          description: 合計経過時間（秒）です。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````